Check Status Thread

/document/thread/status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use for poll status checks or as a backup option to the callback.

threadID is unique and is generated at the time a document/group is sent to the user/s for signing.

Valid values:

ParameterValue
"threadID""string"
"vendorNumber""string"

Returned statuses:

ValueMeaning
1Pending
User does not made any action yet
2Signed
"isProcessing"/"groupIsProcessing" = 0 - document/s signed
"isProcessing"/"groupIsProcessing"=1 - user confirm, system processing
3Rejected
User rejected signing the document
4Expired
Set dateExpire time in request passed with no user action
5Failed
System error
6Withdrawn
Request withdrawn by the sender
7Undeliverable
Request can't go to user after being in 99-On hold
8Failed face recognition
Only if bioRequired=true in the request
99On hold
Not delivered to user. If the document is sent to several users & the previous signature is still pending; User has no registration or registration is not completed.


Response values:

{"statuses": [ { //"rejectReason":"string", (optinal) //"automatedSignError":"string", (optional) //"registerCheck": 0, (optional) "documents": [ {"transactionID":"string", "isProcessing": true, "status": 0 }] }]}
Body Params
string
required

{
"threadID": "string",
"vendorNumber": "string"
}

Headers
string
required

Authorization value.

Responses
200

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json